- [HTTP request](https://developers.google.com/data-manager/api/reference/rest/v1/users/remove#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/data-manager/api/reference/rest/v1/users/remove#body.request_body)
  - [JSON representation](https://developers.google.com/data-manager/api/reference/rest/v1/users/remove#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/data-manager/api/reference/rest/v1/users/remove#body.response_body)
  - [JSON representation](https://developers.google.com/data-manager/api/reference/rest/v1/users/remove#body.RemoveUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/data-manager/api/reference/rest/v1/users/remove#body.aspect)
- [Try it!](https://developers.google.com/data-manager/api/reference/rest/v1/users/remove#try-it)

Removes a list of users from the provided destinations.

This feature is only available to accounts on an allowlist.

### HTTP request

`POST https://datamanager.googleapis.com/v1/users:remove`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destinations": [ { object (`https://developers.google.com/data-manager/api/reference/rest/v1/Destination`) } ], "userData": [ { object (`https://developers.google.com/data-manager/api/reference/rest/v1/UserData`) } ], "encryptionInfo": { object (`https://developers.google.com/data-manager/api/reference/rest/v1/EncryptionInfo`) }, "validateOnly": boolean, "encoding": enum (`https://developers.google.com/data-manager/api/reference/rest/v1/Encoding`) } ``` |

| Fields ||
|---|---|
| `destinations[]` | ``object (`https://developers.google.com/data-manager/api/reference/rest/v1/Destination`)`` Required. The list of possible ingestion destinations. |
| `userData[]` | ``object (`https://developers.google.com/data-manager/api/reference/rest/v1/UserData`)`` Required. The individual bits of UserData that act as keys for the users to remove. |
| `encryptionInfo` | ``object (`https://developers.google.com/data-manager/api/reference/rest/v1/EncryptionInfo`)`` Optional. Encryption information about encryption keys which are used to encrypt the data. |
| `validateOnly` | `boolean` Optional. If `true`, the request is validated but not executed. |
| `encoding` | ``enum (`https://developers.google.com/data-manager/api/reference/rest/v1/Encoding`)`` Required. The encoding type of the user identifiers. For encrypted user identifiers, this only applies to the outer encoding. |

### Response body

Response from the RemoveUsersRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestId": string } ``` |

| Fields ||
|---|---|
| `requestId` | `string` The generated request id of the Ingestion Request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/datamanager`